Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86074 - Cursor stays 'On' after a newtEntry is processed.
Summary: Cursor stays 'On' after a newtEntry is processed.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 16:29 UTC by Olivier Baudron
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-08 15:59:44 UTC


Attachments (Terms of Use)

Description Olivier Baudron 2003-03-13 16:29:42 UTC
To reproduce the bug:

1. Run a form with a newtEntry inside.
2. Select the entry, type some text, then return.
3. The cursor is now visible when switching between
   the various components of the form.

A testcase follows:

/* ------------ test.c --------------- */
#include <stdlib.h>
#include <newt.h>

int main (int argc, char **argv) {
    const char *res;
    newtComponent form_1, form_2, button, entry;

    newtInit();
    newtCls();

    newtCenteredWindow (40, 10, "Test");
    form_1 = newtForm (NULL, NULL, 0);
    button = newtButton (17, 5, "Ok");
    newtFormAddComponents (form_1, button, NULL);
    newtRunForm (form_1);

    entry = newtEntry (15, 2, "", 10, &res, NEWT_FLAG_RETURNEXIT);
    form_2 = newtForm (NULL, NULL, 0);
    newtFormAddComponents (form_2, entry);
    newtRunForm (form_2);
    newtFormDestroy (form_2);

    newtRunForm (form_1);
    newtFormDestroy (form_1);

    newtFinished();
    return 0;
}
/* ----------------------------------- */

$ gcc -Wall -o test test.c -lnewt
$ ./test

Press 'Return'.
Type some text then 'Return'.
The cursor is now visible (near the button).

Comment 1 Miroslav Lichvar 2006-06-08 15:59:44 UTC
Fixed in newt-0.52.2-7.


Note You need to log in before you can comment on or make changes to this bug.